import java.io.*;
import javax.swing.*;

class simplex3 
{ 
	  public static void main(String arg[])
	  { 
	  String s1="simplex.txt";
      JFileChooser fc=new JFileChooser();
      if (fc.showOpenDialog(null) == JFileChooser.APPROVE_OPTION) {File file = fc.getSelectedFile();s1=file.getName(); }
      double a[][]=Text.readDouble(s1);	  
	  double d[]=simplex2.simplex(a);
	  System.out.println(Matrix.toString(d));
	  }
}
